#ifndef RZB_INTEL_API_H
#define RZB_INTEL_API_H

#include "rzb_global.h"
#include "rzb_intel_global.h"

HRESULT addMailData(unsigned datatype, const char *data, unsigned mail_id);
HRESULT sendNewMail(const BASE_MAIL_DATA *mail, unsigned *mail_id);
HRESULT sendWebTrack(WEB_ENTRY *web_cap);
HRESULT sendDNSTrack(const DNS_TRACK_DATA *dns_cap);
HRESULT sendMailAttachment(unsigned size, const unsigned char *data, const char *datatype,
                           const char *name, unsigned mail_id);

#endif /* RZB_INTEL_API_H */

