#ifndef RZB_COMPONENT_DB_H
#define RZB_COMPONENT_DB_H

#include "rzb_global.h"
#include "rzb_component_global.h"

// Function declarations
HRESULT getComponentById(unsigned id, COMPONENT **component);
HRESULT printBasicComponentData(COMPONENT *component);
HRESULT doesComponentExist(const unsigned char *md5, unsigned size);
HRESULT insertBaseComponent(BASIC_COMPONENT *component);
HRESULT getComponent(const unsigned char *md5, unsigned size, COMPONENT *component);
HRESULT checkComponent(const unsigned char *md5, unsigned size, COMPONENT *component);


// Debugging functions
#endif /* RZB_COMPONENT_DB_H */

